diff --git a/web/pgadmin/static/js/sqleditor/execute_query.js b/web/pgadmin/static/js/sqleditor/execute_query.js
index b8baa410d..4734e7d4a 100644
--- a/web/pgadmin/static/js/sqleditor/execute_query.js
+++ b/web/pgadmin/static/js/sqleditor/execute_query.js
@@ -168,22 +168,28 @@ class ExecuteQuery {
           self.enableSQLEditorButtons();
         }
 
-        if (ExecuteQuery.wasConnectionLostToPythonServer(error.response)) {
-          self.handleConnectionToServerLost();
-          return;
-        }
-
-        const errorData = error.response.data;
+        if(error.response) {
+          if(ExecuteQuery.wasConnectionLostToPythonServer(error.response)) {
+            self.handleConnectionToServerLost();
+            return;
+          }
+          const errorData = error.response.data;
 
-        if (self.userManagement.isPgaLoginRequired(errorData)) {
-          return self.userManagement.pgaLogin();
-        }
+          if (self.userManagement.isPgaLoginRequired(errorData)) {
+            return self.userManagement.pgaLogin();
+          }
 
-        let msg = ExecuteQuery.extractErrorMessage(errorData);
+          let msg = ExecuteQuery.extractErrorMessage(errorData);
 
-        self.sqlServerObject.update_msg_history(false, msg);
-        // Highlight the error in the sql panel
-        self.sqlServerObject._highlight_error(msg);
+          self.sqlServerObject.update_msg_history(false, msg);
+          // Highlight the error in the sql panel
+          self.sqlServerObject._highlight_error(msg);
+        } else if(error.request) {
+          self.handleConnectionToServerLost();
+          return;
+        } else {
+          console.error(error);
+        }
       });
   }
 
